import { SoftObserver } from '../SoftObserver';
declare class SoftMutationObserver extends SoftObserver {
    private name;
    private observer;
    private childNode;
    static propTypes: {};
    constructor(...args: any[]);
    beginObserve: () => void;
}
export { SoftMutationObserver };
